Package org.apache.sling.sitemap

## Interface SitemapGeneratorManager

    @ProviderType
    public interface SitemapGeneratorManager

A service that manages all registered `SitemapGenerator` services.

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable SitemapGenerator` `getGenerator​(@NotNull org.apache.sling.api.resource.Resource sitemapRoot, @NotNull String name)` Returns the `SitemapGenerator` for the given sitemap root `Resource` and name.
`@NotNull Map<String,​SitemapGenerator>` `getGenerators​(@NotNull org.apache.sling.api.resource.Resource sitemapRoot)` Returns a `Map` of `SitemapGenerator`s for each name returned by `getNames(Resource)`.
`Set<String>` `getNames​(@NotNull org.apache.sling.api.resource.Resource sitemapRoot)` Returns all names of all `SitemapGenerator`s for the given sitemap root.
`@NotNull Set<String>` `getOnDemandNames​(@NotNull org.apache.sling.api.resource.Resource sitemapRoot)` Returns all names of all `SitemapGenerator`s for the given sitemap root, limited to those that are configured to be served on demand.

### Method Detail

#### getNames

    Set<String> getNames​(@NotNull
                         @NotNull org.apache.sling.api.resource.Resource sitemapRoot)

Returns all names of all `SitemapGenerator`s for the given sitemap root.

Parameters:
  `sitemapRoot` -
Returns:

#### getOnDemandNames

    @NotNull
    @NotNull Set<String> getOnDemandNames​(@NotNull
                                          @NotNull org.apache.sling.api.resource.Resource sitemapRoot)

Returns all names of all `SitemapGenerator`s for the given sitemap root, limited to those that are configured to be served on demand.

Parameters:
  `sitemapRoot` -
Returns:

#### getGenerator

    @Nullable
    @Nullable SitemapGenerator getGenerator​(@NotNull
                                            @NotNull org.apache.sling.api.resource.Resource sitemapRoot,
                                            @NotNull
                                            @NotNull String name)

Returns the `SitemapGenerator` for the given sitemap root `Resource` and name. This may be null when no `SitemapGenerator` service exists that generates a sitemap with the name for the given root.

Parameters:
  `sitemapRoot` -
  `name` -
Returns:

#### getGenerators

    @NotNull
    @NotNull Map<String,​SitemapGenerator> getGenerators​(@NotNull
                                                              @NotNull org.apache.sling.api.resource.Resource sitemapRoot)

Returns a `Map` of `SitemapGenerator`s for each name returned by `getNames(Resource)`.

Parameters:
  `sitemapRoot` -
Returns: